.TH KALARM 1
.SH NAME
kalarm \- Personal alarm message, audio, command and email scheduler for KDE
.SH SYNOPSIS
.B kalarm
.I [Qt-options] [KDE-options] [options] [message]
.SH DESCRIPTION
\fBKAlarm\fP is a personal alarm message, command and email scheduler. 
You can schedule alarm messages to pop up on the screen (with sound if
desired), or you can schedule audio to play, commands to execute or emails
to send.
.SH PROGRAM OPTIONS
.TP
.B \fB\-a\fR, \fB\-\-ack-confirm\fR
Prompt for confirmation when alarm is acknowledged.
.TP
.B \fB\-A\fR, \fB\-\-attach\fR \fI<url>\fB
Attach file to email (repeat as needed).
.TP
.B \fB\-\-auto-close\fR
Auto-close alarm window after --late-cancel period.
.TP
.B \fB\-\-bcc\fR
Blind copy email to self.
.TP
.B \fB\-b\fR, \fB\-\-beep\fR
Beep when message is displayed.
.TP
.B \fB\-c\fR, \fB\-\-colour\fR, \fB\-\-color\fR \fI<color>\fB
Message background color (name or hex 0xRRGGBB).
.TP
.B \fB\-C\fR, \fB\-\-colourfg\fR, \fB\-\-colorfg\fR \fI<color>\fB
Message foreground color (name or hex 0xRRGGBB).
.TP
.B \fB\-\-cancelEvent\fR \fI<eventID>\fB
Cancel alarm with the specified event ID.
.TP
.B \fB\-d\fR, \fB\-\-disable\fR
Disable the alarm.
.TP
.B \fB\-\-disable-all\fR
Disable monitoring of all alarms.
.TP
.B \fB\-e\fR, \fB\-\-exec\fR \fI<commandline>\fB
Execute a shell command line.
.TP
.B \fB\-E\fR, \fB\-\-exec-display\fR \fI<commandline>\fB
Command line to generate alarm message text.
.TP
.B \fB\-\-edit\fR \fI<eventID>\fB
Display the alarm edit dialog to edit the specified alarm.
.TP
.B \fB\-\-edit-new-display\fR
Display the alarm edit dialog to edit a new display alarm.
.TP
.B \fB\-\-edit-new-command\fR
Display the alarm edit dialog to edit a new command alarm.
.TP
.B \fB\-\-edit-new-email\fR
Display the alarm edit dialog to edit a new email alarm.
.TP
.B \fB\-\-edit-new-audio\fR
Display the alarm edit dialog to edit a new audio alarm.
.TP
.B \fB\-\-edit-new-preset\fR \fI<templateName>\fB
Display the alarm edit dialog, preset with a template.
.TP
.B \fB\-f\fR, \fB\-\-file\fR \fI<url>\fB
File to display.
.TP
.B \fB\-F\fR, \fB\-\-from-id\fR \fI<ID>\fB
KMail identity to use as sender of email.
.TP
.B \fB\-i\fR, \fB\-\-interval\fR \fI<period>\fB
Interval between alarm repetitions.
.TP
.B \fB\-k\fR, \fB\-\-korganizer\fR
Show alarm as an event in KOrganizer.
.TP
.B \fB\-l\fR, \fB\-L\fR, \fB\-\-login\fR
Repeat alarm at every login.
.TP
.B \fB\-m\fR, \fB\-\-mail\fR \fI<address>\fB
Send an email to the given address (repeat as needed).
.TP
.B \fB\-p\fR, \fB\-\-play\fR \fI<url>\fB
Audio file to play once.
.TP
.B \fB\-P\fR, \fB\-\-play-repeat\fR \fI<url>\fB
Audio file to play repeatedly.
.TP
.B \fB\-\-recurrence\fR \fI<spec>\fB
Specify alarm recurrence using iCalendar syntax.
.TP
.B \fB\-R\fR, \fB\-\-reminder\fR \fI<period>\fB
Display reminder before or after alarm.
.TP
.B \fB\-\-reminder-once\fR \fI<period>\fB
Display reminder once, before or after first alarm recurrence.
.TP
.B \fB\-r\fR, \fB\-\-repeat\fR \fI<count>\fB
Number of times to repeat alarm (including initial occasion).
.TP
.B \fB\-s\fR, \fB\-\-speak\fR
Speak the message when it is displayed.
.TP
.B \fB\-S\fR, \fB\-\-subject\fR \fI<text>\fB
Email subject line.
.TP
.B \fB\-\-test-set-time\fR \fI<time>\fB
Simulate system time [[[yyyy-]mm-]dd-]hh:mm [TZ] (debug mode).
.TP
.B \fB\-t\fR, \fB\-\-time\fR \fI<time>\fB
Trigger alarm at time [[[yyyy-]mm-]dd-]hh:mm [TZ], or date yyyy-mm-dd [TZ].
.TP
.B \fB\-\-tray\fR
Display system tray icon.
.TP
.B \fB\-\-triggerEvent\fR \fI<eventID>\fB
Trigger alarm with the specified event ID.
.TP
.B \fB\-u\fR, \fB\-\-until\fR \fI<time>\fB
Repeat until time [[[yyyy-]mm-]dd-]hh:mm [TZ], or date yyyy-mm-dd [TZ].
.TP
.B \fB\-V\fR, \fB\-\-volume\fR \fI<percent>\fB
Volume to play audio file.
.TP
.B message
Message text to display.
.so kdeopt.part
.SH AUTHOR
Written by David Jarvie <software@astrojar.org.uk>.
.SH COPYRIGHT
This is free software: you may redistribute it under the terms of the GNU General
Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the
extent permitted by law.
.SH SEE ALSO
More detailed user documentation is available from
.BR help:/kalarm
(either enter this URL into \fBkonqueror\fP, or run `khelpcenter
help:/kalarm').
